// npm package: flatpickr
// github link: https://github.com/flatpickr/flatpickr

$(function() {
  'use strict';

  // Date picker initialization
  if ($('#flatpickr-date').length) {
    flatpickr("#flatpickr-date", {
      wrap: true,
      enableTime: true,                     // Aktifkan jam & menit
      enableSeconds: true,                  // Aktifkan detik juga
      dateFormat: "Y-m-d H:i:S",            // Format dengan waktu penuh
      defaultDate: new Date(),              // Tanggal default = sekarang
      allowInput: true                      // Izinkan ketik manual
    });
  }

  // Ambil waktu sekarang
const now = new Date();

// Buat waktu selesai default (misal +1 jam dari sekarang)
const satuJamLagi = new Date(now.getTime() + 60 * 60 * 1000);

 // Time picker untuk waktu mulai
 if ($('#flatpickr-time').length) {
  flatpickr("#flatpickr-time", {
    wrap: true,
    enableTime: true,
    noCalendar: true,
    dateFormat: "H:i",
    time_24hr: true
  });
}

   // Time picker untuk waktu mulai
   if ($('#flatpickr-jam-mulai').length) {
    flatpickr("#flatpickr-jam-mulai", {
      wrap: true,
      enableTime: true,
      noCalendar: true,
      dateFormat: "H:i",
      time_24hr: true,
      defaultDate: now  // Default waktu mulai
    });
  }

  // Time picker untuk waktu selesai
  if ($('#flatpickr-jam-selesai').length) {
    flatpickr("#flatpickr-jam-selesai", {
      wrap: true,
      enableTime: true,
      noCalendar: true,
      dateFormat: "H:i",
      time_24hr: true,
      defaultDate: satuJamLagi  // Default waktu selesai
    });
  }

});